DELETE
/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}2609170000刪除商品
# 01
簡介
刪除商品
# 02
詳細內容
適用買家市場:韓國、台灣
您可以刪除已刊登的商品。 若商品不處於「審核中」狀態,且該商品包含的所有選項(項目)均已「停售」,您即可刪除該商品。
路徑
DELETE/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}
範例端點
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}URL API Name
DELETE_PRODUCT
# 03
Path 參數
| Name | Type | Description |
|---|---|---|
| sellerProductId* | number | 已刊登商品 ID; 商品創建後,可透過「查詢商品 API」獲取此 ID。 |
# 04
回應內容
回應訊息
| Name | Type | Description |
|---|---|---|
| code | string | 結果代碼;成功 (SUCCESS) / 錯誤 (ERROR)
|
| message | string | 訊息
|
| data | string | 已刪除的刊登商品 ID
|
Response Example
{
"code": "SUCCESS",
"message": "삭제되었습니다",
"data": "10***16568"
}# 05
錯誤碼
| HTTP | 代碼 | 訊息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
錯誤說明
| HTTP | 類型 | 錯誤訊息 | 解決方案 |
|---|---|---|---|
| 400 | 400 (Check Request Parameter) | The seller product [103***11234] does not exist or cannot be deleted. You can only delete when its status is 'Saving' or 'Saving Temporarily'. | 請確認欲刪除的刊登商品 ID (sellerProductId) 是否正確。請確保已先將該商品內包含的所有選項 (item) 設為停售 |
| 400 | 400 (Check Request Parameter) | Make sure that the seller product ID [None] is in numbers. | 請確認刊登商品 ID (sellerProductId) 的數值正確(僅限數字)。 |